---
# safety checks your installed python dependencies for known
# security vulnerabilities
# https://pypi.org/project/safety/
include:
  - remote: https://jobs.just-ci.dev/rhtenhove-main-patch-36831/python/generic.yml

python:safety:
  extends: .python:pre
  variables:
    PACKAGE: safety
  script:
    - python3 -m venv .venv
    - source .venv/bin/activate
    - !reference [".python:pre", script]
    - pip3 install . || true # installs package only if available
    - safety check
